# Class CIM_DatabaseService
extends CIM_Service

Database services perform tasks for a database. Examples of tasks that are performed by a database service include providing user access to the database, performing data and metadata manipulation, database administration, and maintenance operations. One or more database services can perform tasks for a database. The database services can be located on the same computer system as the database or on different computer systems. Database services can be implemented as one or more processes.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_DatabaseService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

Database services perform tasks for a database. Examples of tasks that are performed by a database service include providing user access to the database, performing data and metadata manipulation, database administration, and maintenance operations. One or more database services can perform tasks for a database. The database services can be located on the same computer system as the database or on different computer systems. Database services can be implemented as one or more processes.

UMLPackagePath | string | CIM::Database::System
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ConnectionLimit | uint32 |
Description | string | The maximum number of active inbound connections that can be concurrently opened on the service.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoMaxInboundAssociations
LastStatusChangeTime | datetime |
Deprecated | string | CIM_EnabledLogicalElement.TimeOfLastStateChange
Description | string | Note: The LastStatusChangeTime property is deprecated in lieu of the TimeOfLastStateChange property that is inherited from CIM_EnabledLogicalElement. Deprecated description: The date and time when the status of the database service last changed.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoLastChange
StartupTime | datetime |
Description | string | The date and time when the database service was last started. If the database service has an OperationalStatus of Stopped or Starting, then this value is not meaningful and the contents must be set to zeros.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoStartupTime
TimeOfLastStateChange | datetime |
Description | string | The date or time when the EnabledState of the element last changed. If the state of the element has not changed and this property is populated, then it must be set to a 0 interval value. If a state change was requested, but rejected or not yet processed, the property must not be updated.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoLastChange
Override | string | TimeOfLastStateChange
OperationalStatus | uint16[] |
ArrayType | string | Indexed

Description

string

This property contains the operational status of the database service. OK means that the database service is operational and available for general use. Stopped means that the service is unavailable and cannot be used. Service implies an administrative state of unavailability. Degraded means that the database service is operating at a less than optimal level. Starting means that the database service is in the process of becoming operational. These status values map to the RFC1697 OperStatus values as follows: OK - UP, Stopped - DOWN, In Service - HALTED, Stressed - CONGESTED, and Starting - RESTARTING. Any additional status variables that are defined are CIM-specific.

MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsSrvInfoOperStatus
ModelCorrespondence | string | CIM_ManagedSystemElement.StatusDescriptions
Override | string | OperationalStatus
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, .., 0x8000..
Values | string | Unknown, Other, OK, Degraded, Stressed, Predictive Failure, Error, Non-Recoverable Error, Starting, Stopping, Stopped, In Service, No Contact, Lost Communication, Aborted, Dormant, Supporting Entity in Error, Completed, Power Mode, Relocating, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service